# -*- Mode: perl; indent-tabs-mode: nil -*-
#
# The contents of this file are subject to the Mozilla Public License Version
# 1.1 (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
# for the specific language governing rights and limitations under the
# License.
#
# The Original Code is the Bugzilla Bug Tracking System.
#
# The Initial Developer of the Original Code is Frédéric Buclin.
# Portions created by the Initial Developer are Copyright (C) 2011
# the Initial Developer. All Rights Reserved.
#
# Contributor(s):
#    Frédéric Buclin <LpSolit@gmail.com>
#

package Bugzilla;

use strict;

#######################################################################
# The goal of this tiny module is to let Bugzilla packagers of        #
# various Linux distributions easily specify the path to the Bugzilla #
# modules without having to edit each *.cgi script manually to fix    #
# the | use lib qw(. lib) | line.                                     #
#                                                                     #
# If the real Bugzilla.pm module and the Bugzilla/ directory are in   #
# the same directory as *.cgi scripts (which is the default), then    #
# this module is useless and has no effect.                           #
# If the real Bugzilla.pm module and other Bugzilla/*.pm modules are  #
# moved elsewhere, then the *.cgi scripts will call this module which #
# will give them the location of the Bugzilla modules.                #
#######################################################################
#                                                                     #
# IMPORTANT NOTE: This module must be in a place where Perl will find #
# it by default, e.g. in /usr/lib/perl5/vendor_perl/5.x.y/            #
#                                                                     #
#######################################################################

our ($bz_root_dir, @bugzilla_lib_paths);
BEGIN {
    # Specify the path to the real Bugzilla.pm file.
    # Some Linux distros may set it to '/usr/share/bugzilla/lib'.
    # That's the single line you are supposed to edit in this file!!
    $bz_root_dir = '/usr/share/bugzilla/lib';

    # Bugzilla may store some Perl modules in its local lib/ directory.
    @bugzilla_lib_paths = ($bz_root_dir, "$bz_root_dir/lib");
}

#######################################################################
#   DO NOT EDIT THE CODE BELOW, UNLESS YOU KNOW WHAT YOU ARE DOING!!  #
#######################################################################

use lib @bugzilla_lib_paths;

# Now load the real Bugzilla.pm file.
BEGIN { require "$bz_root_dir/Bugzilla.pm"; }

1;
